Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
replace.hpp File Reference

## Functions
template<typename I , typename S , typename T1 , typename T2 , typename P = identity>
I | ranges::replace (I first, S last, T1 const &old_value, T2 const &new_value, P proj={})
| function template `replace` More...
template<typename Rng , typename T1 , typename T2 , typename P = identity>
borrowed_iterator_t< Rng > | ranges::replace (Rng &&rng, T1 const &old_value, T2 const &new_value, P proj={})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...